Summary: RPM verification script that runs once a month.
Name: rpmverify
Version: 0.3
Release: 1
# Release 0.3-1 added a change directory into /root/tmp
#               so the core file (if any is produced) will end up in
#               the correct directory.
# Release 0.2-2 added pgp 2.6.2 signature to package
Copyright: 1997 by Garen L. Erdoisa All rights reserved
#Distribution terms: GNU General Public Licence
Group: Utilities/System
ExclusiveOS: Linux
Source0: ftp://ruby.trisk.com/pub/linux/scripts/rpmverify-0.3.tar.gz
Packager: Garen Erdoisa <scamper@trisk.com>
URL: http://www.trisk.com/

Requires: rpm, vixie-cron, crontabs, gawk
%package rpm
Summary: Red Hat Package Manager
Description: RPM is a powerful package manager, which can be used to build, install, query, verify, update, and uninstall individual software packages. A package consists of an archive of files, and package information, including name, version, and description.
Group: Utilities/System

%package vixie-cron
Summary: Vixie cron daemon 
Description: cron is a standard UNIX program that runs user-specified programs at periodic scheduled times. vixie cron adds a number of features to the basic UNIX cron, including better security and more powerful configuration options.
Group: Daemons

%package crontabs
Summary: root crontab file
Description: The root crontab file is used to schedule execution of various programs.
Group: Base

%package gawk
Summary: GNU utilities text processor.
Description: This is GNU Awk. It should be upwardly compatible with the Bell Labs research version of awk.  It is almost completely compliant with the 1993 POSIX 1003.2 standard for awk.  Gawk can be used to process text files and is considered a standard Linux tool.
Group: Utilities/Text

%description
This package contains a script that will run once a month
from the crontab that will verify the installed rpm packages
using no verification scripts from the rpm itself vs information 
contained in the rpm database and mail the results to root.

%prep

%setup

%build

%install
install -m 750 rpmverify /etc/cron.monthly/rpmverify

%clean

%files
/etc/cron.monthly/rpmverify

